环信demo运行出现Could not find class 'xxx', referenced from method xxx

Could not find class 'com.easemob.chatuidemo.ui.MainActivity', referenced from method com.easemob.chatuidemo.DemoHelper.onConnectionConflict
Could not find class 'com.easemob.chatuidemo.ui.MainActivity', referenced from method com.easemob.chatuidemo.DemoHelper.onCurrentAccountRemoved
Could not find class 'android.support.v4.app.af$d', referenced from method com.easemob.chat.EMNotifier.sendNotification
Could not find class 'android.support.v4.app.NotificationCompat$Builder', referenced from method com.easemob.easeui.model.EaseNotifier.sendNotification
Could not find class 'com.easemob.chatuidemo.ui.ChatActivity', referenced from method com.easemob.chatuidemo.DemoHelper$3.getLaunchIntent

求大神解决,很急,最近开发一个项目需要用到环信
已邀请:

denqun

赞同来自:

谢谢你的提醒,我解决了,我原先用的eclipse是最新版的mars,可能是新版本可能不太稳定,后来我换了个kepler,原来的什么sdk啥的都没换,结果运行就OK,看来版本的选择还是很重要的,也可能是sdk,adt版本太低了,在新版eclipse中运行会有错

zhangnan

赞同来自:

是什么操作会报错,我这边运行是正常的

denqun

赞同来自:

就是导入工程到eclipse,运行demo就会出错
EaseUI.png


EaseUIDemo.png


EaseUIDemo配置.png


EaseUI配置.jpg

jiangym

赞同来自:

可以升级下android api的版本和buildtools的版本了。

要回复问题请先登录注册

知识价值的认可,源自您的赞赏

扫描二维码,你的支付将由imGeek代收后转给对方

×